Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathLinetoHorizontalAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoHorizontalAbs:
[legend]
Collaboration diagram for Magick::PathLinetoHorizontalAbs:
[legend]

## Public Member Functions
| PathLinetoHorizontalAbs (double x_)
| ~PathLinetoHorizontalAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2874 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathLinetoHorizontalAbs::PathLinetoHorizontalAbs | ( | double | x_ | ) |
| inline

Definition at line 2877 of file Drawable.h.

Magick::PathLinetoHorizontalAbs::~PathLinetoHorizontalAbs | ( | void |  | ) |

Definition at line 2190 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathLinetoHorizontalAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2198 of file Drawable.cpp.

void Magick::PathLinetoHorizontalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2194 of file Drawable.cpp.

void Magick::PathLinetoHorizontalAbs::x | ( | double | x_ | ) |
| inline

Definition at line 2890 of file Drawable.h.

double Magick::PathLinetoHorizontalAbs::x | ( | void |  | ) | const
| inline

Definition at line 2894 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp